# import os
# import re
# import shutil

# # 设定原始文件夹路径
# src_folder_path = 'data\DALLE'
# # 设定目标文件夹路径
# dest_folder_path = 'data\DALLE3'

# # 确保目标文件夹存在，如果不存在则创建
# if not os.path.exists(dest_folder_path):
#     os.makedirs(dest_folder_path)

# # 遍历原始文件夹中的所有文件
# for filename in os.listdir(src_folder_path):
#     # 检查文件名是否以 .jpeg 结尾
#     if filename.endswith('.jpeg'):
#         # 使用正则表达式查找文件名中的数字部分
#         match = re.search(r'(\d+)', filename)
#         if match:
#             # 获取匹配的数字部分并将其转换为整数
#             number = int(match.group())
#             # 数字加1
#             new_number = number + 1
#             # 构建新的文件名，其中数字加1
#             new_filename = re.sub(r'\d+', str(new_number).zfill(len(match.group())), filename)
#             # 构建完整的原始文件和目标文件路径
#             src_file = os.path.join(src_folder_path, filename)
#             dest_file = os.path.join(dest_folder_path, new_filename)
#             # 复制文件到目标文件夹
#             shutil.copy(src_file, dest_file)
#             print(f"文件 '{filename}' 已被复制并重命名为 '{new_filename}' 到目标文件夹")

import re

def increment_image_filenames(markdown_content):
    # 定义正则表达式，用于匹配<img src>标签中的文件路径和文件名
    img_tag_pattern = re.compile(r'(<img src=")([^"]*/)(\d+)(\.[^"]+")')

    # 定义一个内部函数用于处理正则表达式的匹配项
    def replace_filename(match):
        pre_path, path, filename, extension = match.groups()
        # 文件名中的数字加1
        new_filename = str(int(filename) + 1).zfill(len(filename))
        # 返回更新后的<img src>标签
        return f'{pre_path}{path}{new_filename}{extension}'

    # 使用正则表达式和替换函数更新所有匹配的标签
    updated_content = re.sub(img_tag_pattern, replace_filename, markdown_content)
    return updated_content
# 读取原始Markdown文件
with open('image_visualization_134_269.md', 'r', encoding='utf-8') as file:
    original_content = file.read()

# 更新Markdown内容中的图片文件名
updated_content = increment_image_filenames(original_content)

# 将更新后的内容保存到新的Markdown文件中
with open('image_visualization_134_269_new.md', 'w', encoding='utf-8') as file:
    file.write(updated_content)

print("更新后的Markdown内容已保存到新的文件中。")
